> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Taxes and Fees

> Returns a detailed taxes and fees breakdown per coverage line.



## OpenAPI

````yaml get /submission/{displayId}/{transactionId}/taxes-fees
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/taxes-fees:
    get:
      tags:
        - Submission Data
      summary: Get Taxes and Fees
      description: Returns a detailed taxes and fees breakdown per coverage line.
      operationId: getTaxesAndFees
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Taxes and fees breakdown
          content:
            application/json:
              schema:
                properties:
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  coverages:
                    description: Per-coverage tax/fee breakdown
                    type: object
                  surplus_lines_service_charges:
                    type: object
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````